#
# spec file for package suse-kabi-tools
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           suse-kabi-tools
Version:        0.4.0+git0.6481acc
Release:        1.1
Summary:        A set of ABI tools for the Linux kernel
Group:          System/Kernel
License:        GPL-2.0-or-later
URL:            https://github.com/SUSE/suse-kabi-tools
Source:         %{name}-%{version}.tar.zst
BuildRequires:  cargo
BuildRequires:  cargo-packaging
Requires:       perl

%description
suse-kabi-tools is a set of Application Binary Interface (ABI) tools for the
Linux kernel.

%prep
%autosetup -p1

%build
%{cargo_build}

%install
%{cargo_install}
install -D -m 0644 %{_builddir}/%{name}-%{version}/doc/ksymtypes.1 %{buildroot}%{_mandir}/man1/ksymtypes.1
install -D -m 0644 %{_builddir}/%{name}-%{version}/doc/ksymvers.1 %{buildroot}%{_mandir}/man1/ksymvers.1
install -D -m 0644 %{_builddir}/%{name}-%{version}/doc/suse-kabi-tools.5 %{buildroot}%{_mandir}/man5/suse-kabi-tools.5
install -D -m 0755 kabi.pl %{buildroot}/%{_bindir}/suse-kabi

%check
%{cargo_test}

%files
%license COPYING
%{_bindir}/ksymtypes
%{_bindir}/ksymvers
%{_bindir}/suse-kabi
%{_mandir}/man1/ksymtypes.1%{?ext_man}
%{_mandir}/man1/ksymvers.1%{?ext_man}
%{_mandir}/man5/suse-kabi-tools.5%{?ext_man}

%changelog
* Fri May 30 2025 Petr Pavlu <petr.pavlu@suse.com>
- Update to version 0.4.0+git0.6481acc:
  * Improve man pages, describe new options
  * Rename the ksymtypes option --filter to --filter-symbol-list
  * Rename the symvers option --format=names to --format=symbols
  * Reduce contention on the types data when loading symtypes files
* Tue Apr 29 2025 Michal Koutný <mkoutny@suse.com>
- Update to version 0.3.0+git8.b848de8:
  * kabi.pl: Add support for extra module lists
* Fri Apr 25 2025 Petr Pavlu <petr.pavlu@suse.com>
- Update to version 0.3.0+git6.7af394d:
  * Exit 'ksymvers compare' with code indicating input equality
  * Improve description of file formats used by the tools
* Fri Apr 11 2025 Petr Pavlu <petr.pavlu@suse.com>
- Update to version 0.3.0:
  * Rework consolidated format to match the SUSE kernel format
  * Improve error handling in the CLI utilities
  * Add an initial version of the ksymvers tool, a rewrite of
    kabi.pl
* Tue Mar 11 2025 Petr Pavlu <petr.pavlu@suse.com>
- Initial version.
